// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {
    
ServerEvents.recipes(event => {
    event.remove('storagedrawers:obsidian_storage_upgrade')
    event.remove('storagedrawers:iron_storage_upgrade')
    event.remove('storagedrawers:gold_storage_upgrade')
    event.remove('storagedrawers:diamond_storage_upgrade')
    event.remove('storagedrawers:emerald_storage_upgrade')
    event.remove('storagedrawers:void_upgrade')
    event.shaped('storagedrawers:obsidian_storage_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: ['kubejs:andesite_mechanism', 'kubejs:wooden_mechanism'],
        C: 'create:andesite_alloy',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:andesite_storage_upgrade')
    event.shaped('storagedrawers:iron_storage_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: 'kubejs:copper_mechanism',
        C: 'minecraft:copper_ingot',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:copper_storage_upgrade')
    event.shaped('storagedrawers:gold_storage_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: 'create:precision_mechanism',
        C: 'create:brass_ingot',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:brass_storage_upgrade')
    event.shaped('storagedrawers:diamond_storage_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: 'kubejs:train_mechanism',
        C: 'create:sturdy_sheet',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:train_storage_upgrade')
    event.shaped('storagedrawers:emerald_storage_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: 'kubejs:invar_mechanism',
        C: 'thermal:invar_ingot',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:invar_storage_upgrade')
    event.shaped('storagedrawers:void_upgrade', [
        'ABA',
        'CDC',
        'ABA'
    ], {
        A: 'minecraft:stick',
        B: 'kubejs:silicon_mechanism',
        C: 'kubejs:refined_silicon',
        D: 'storagedrawers:upgrade_template'
    }).id('bttk:silicon_void_upgrade')
})